%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%define api		0
%define gi_major	0.1
%define lib_major	0

%define lib_name	%mklibname %{name} %{api} %{lib_major}
%define gi_name		%mklibname %{name}-gir %{gi_major}
%define develname	%mklibname -d %{name}

Name:		gnome-autoar
Version:	0.4.5
Release:	%mkrel 1
Summary:	Archive library

Group:		System/Libraries
License:	LGPLv2+
URL:		https://git.gnome.org/browse/gnome-autoar
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	gcc
BuildRequires:	meson
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(vapigen)

%description
%{name} is a GObject based library for handling archives.

%package -n %{lib_name}
Summary:	Archive library
Group:		System/Libraries

%description -n %{lib_name}
%{name} is a GObject based library for handling archives.

%package -n %{gi_name}
Summary:	GObject Introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for %{name}.

%package        -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{lib_name} = %{version}-%{release}
Requires:	%{gi_name} = %{version}-%{release}

%description    -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%meson \
  -Dgtk=true \
  -Dintrospection=enabled \
  -Dvapi=true \
  -Dtests=false \
  -Dgtk_doc=false
%meson_build

%install
%meson_install

%check
%meson_test

%files -n %{lib_name}
%license COPYING
%{_libdir}/libgnome-autoar-%{api}.so.%{lib_major}{,.*}
%{_libdir}/libgnome-autoar-gtk-%{api}.so.%{lib_major}{,.*}

%files -n %{gi_name}
%{_libdir}/girepository-1.0/GnomeAutoar-%{gi_major}.typelib
%{_libdir}/girepository-1.0/GnomeAutoarGtk-%{gi_major}.typelib

%files -n %{develname}
%doc NEWS
%if 0
%doc %{_datadir}/gtk-doc/html/gnome-autoar/
%endif
%{_includedir}/gnome-autoar-%{api}/
%{_libdir}/pkgconfig/gnome-autoar-%{api}.pc
%{_libdir}/pkgconfig/gnome-autoar-gtk-%{api}.pc
%{_libdir}/libgnome-autoar-%{api}.so
%{_libdir}/libgnome-autoar-gtk-%{api}.so
%{_datadir}/gir-1.0/GnomeAutoar-%{gi_major}.gir
%{_datadir}/gir-1.0/GnomeAutoarGtk-%{gi_major}.gir
%{_datadir}/vala/vapi/gnome-autoar*-0.{deps,vapi}


%changelog
* Sat Sep 07 2024 daviddavid <daviddavid> 0.4.5-1.mga10
+ Revision: 2093477
- new version: 0.4.5

* Fri Apr 21 2023 tmb <tmb> 0.4.4-1.mga9
+ Revision: 1953902
- update to 0.4.4

* Thu Mar 31 2022 umeabot <umeabot> 0.4.3-2.mga9
+ Revision: 1835734
- Mageia 9 Mass Rebuild

* Fri Feb 11 2022 ovitters <ovitters> 0.4.3-1.mga9
+ Revision: 1772887
- new version 0.4.3

* Fri Jan 07 2022 ovitters <ovitters> 0.4.2-1.mga9
+ Revision: 1767181
- new version 0.4.2

* Sat Oct 30 2021 ovitters <ovitters> 0.4.1-1.mga9
+ Revision: 1753316
- new version 0.4.1

* Tue Aug 10 2021 wally <wally> 0.4.0-1.mga9
+ Revision: 1741012
- switch to meson build
- disable gtk-doc build
- enable vala build
- add rpm groups
+ ovitters <ovitters>
- new version 0.4.0

* Fri Jun 04 2021 ovitters <ovitters> 0.3.3-1.mga9
+ Revision: 1729577
- new version 0.3.3

* Fri Apr 30 2021 ovitters <ovitters> 0.3.2-1.mga9
+ Revision: 1720562
- new version 0.3.2

* Sat Mar 13 2021 ovitters <ovitters> 0.3.1-1.mga9
+ Revision: 1701946
- new version 0.3.1

* Sat Feb 27 2021 daviddavid <daviddavid> 0.3.0-1.mga9
+ Revision: 1692671
- new version: 0.3.0
- remove merged upstream patch

* Sat Feb 27 2021 daviddavid <daviddavid> 0.2.4-3.mga9
+ Revision: 1692559
- add upstream patch to fix CVE-2020-11736 (mga#28454)

* Tue Feb 18 2020 umeabot <umeabot> 0.2.4-2.mga8
+ Revision: 1539711
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Dec 12 2019 ovitters <ovitters> 0.2.4-1.mga8
+ Revision: 1466042
- new version 0.2.4

* Sun Sep 23 2018 umeabot <umeabot> 0.2.3-2.mga7
+ Revision: 1297950
- Mageia 7 Mass Rebuild

* Sun Feb 25 2018 ovitters <ovitters> 0.2.3-1.mga7
+ Revision: 1205085
- new version 0.2.3

* Tue Mar 21 2017 ovitters <ovitters> 0.2.2-1.mga6
+ Revision: 1093901
- new version 0.2.2

* Fri Mar 03 2017 ovitters <ovitters> 0.2.1-1.mga6
+ Revision: 1088553
- new version 0.2.1
- new version 0.2.0
+ wally <wally>
- fix lib pkg name
- don't own gi and gtk-doc dirs
- tag gtk-docs as docs
- drop empty pkgs (fix file list)

* Mon Sep 26 2016 tv <tv> 0.1.1-2.mga6
+ Revision: 1056845
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sat Sep 24 2016 ovitters <ovitters> 0.1.1-1.mga6
+ Revision: 1055710
- add group
- clean spec
- imported package gnome-autoar


* Sat Sep 03 2016 Kalev Lember <klember@redhat.com> - 0.1.1-1
- Update to 0.1.1

* Fri Sep 02 2016 Kalev Lember <klember@redhat.com> - 0.1.0-1
- Initial Fedora build
